Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044506
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Gift cards and gift vouchersmajorsometimes2020-06-29 17:002020-07-09 10:57
ReporterkchoperenaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revisionabe4329035b5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044506: The preOrderSave hook of giftcards module fails when the netting payment of a C&R is using the credit note payment method

DescriptionThe setDefaultPaymentType function of POSUtils.java searches a payment method to use in a C&R for the netting payment. If the selected payment method is 'Credit Note' the preOrderSave of giftcards module raises an error because the p.get('paymentData') is undefined.
Steps To ReproducePRECONDITION: "Web POS Forbid Anonymous Customer use a Credit Note" preference enabled

1.- Log in to the WebPOS
2.- Create a Layaway, pay it and synchronize it.
3.- Open the created Layaway and do a C&R (check that the netting payment is created as a 'Credit Note' payment)
4.- Try to synchronize the C&R

Expected result:

The preOrderSave hook of giftcards module fails with the next error:

ee2bc9b50b784fb0eefd8efa05412c36.js:formatted:105359 Uncaught TypeError: Cannot read property 'creditNote' of undefined
    at ee2bc9b50b784fb0eefd8efa05412c36.js:formatted:105359
    at Array.forEach (<anonymous>)
    at Function.b.each.b.forEach (underscore-1.3.3.min.js:11)
Proposed SolutionCheck if p.get('paymentData') exists in the preOrderSave hook
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121348)
hgbot (developer)
2020-07-09 09:54

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: abe4329035b5925f9c97e1e65ae671e4265ebf90
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Jul 09 13:24:14 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/abe4329035b5925f9c97e1e65ae671e4265ebf90 [^]

Fixed issue-44506: PaidReceipt Prepayment should be validated in PreOrderSave hook

* For Paid Receipt, CreditNote prepayment should not be validated in
  PreOrderSave hook when processing again

---
M web/org.openbravo.retail.giftcards/js/hooks/preOrderSaveHook.js
---

- Issue History
Date Modified Username Field Change
2020-06-29 17:00 kchoperena New Issue
2020-06-29 17:00 kchoperena Assigned To => Retail
2020-06-29 17:00 kchoperena Triggers an Emergency Pack => No
2020-07-05 18:02 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-07-08 09:22 kchoperena Steps to Reproduce Updated View Revisions
2020-07-08 11:39 ranjith_qualiantech_com Status new => scheduled
2020-07-09 09:54 hgbot Checkin
2020-07-09 09:54 hgbot Note Added: 0121348
2020-07-09 09:54 hgbot Status scheduled => resolved
2020-07-09 09:54 hgbot Resolution open => fixed
2020-07-09 09:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/abe4329035b5925f9c97e1e65ae671e4265ebf90 [^]
2020-07-09 10:57 marvintm Review Assigned To => marvintm
2020-07-09 10:57 marvintm Status resolved => closed
2020-07-09 10:57 marvintm Fixed in Version => RR20Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker